# xoxys.sudo

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.sudo/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.sudo)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.sudo/src/branch/main/LICENSE)

Configure sudoers environment.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [sudo_aliases](#sudo_aliases)
  - [sudo_env_keep](#sudo_env_keep)
  - [sudo_logfile](#sudo_logfile)
  - [sudo_misc_settings](#sudo_misc_settings)
  - [sudo_packages](#sudo_packages)
  - [sudo_secure_path](#sudo_secure_path)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### sudo_aliases

#### Default value

```YAML
sudo_aliases: []
```

#### Example usage

```YAML
sudo_aliases:
  - name: os_admin
    user_aliases:
      - name: admins
        value:
          - my_admin
    cmnd_aliases:
      - name:
        value:
    specs:
      - ADMINS ALL= NOPASSWD:ALL
```

### sudo_env_keep

#### Default value

```YAML
sudo_env_keep:
  - COLORS
  - DISPLAY
  - HOSTNAME
  - HISTSIZE
  - INPUTRC
  - KDEDIR
  - LS_COLORS
  - MAIL
  - PS1
  - PS2
  - QTDIR
  - USERNAME
  - LANG
  - LC_ADDRESS
  - LC_CTYPE
  - LC_COLLATE
  - LC_IDENTIFICATION
  - LC_MEASUREMENT
  - LC_MESSAGES
  - LC_MONETARY
  - LC_NAME
  - LC_NUMERIC
  - LC_PAPER
  - LC_TELEPHONE
  - LC_TIME
  - LC_ALL
  - LANGUAGE
  - LINGUAS
  - _XKB_CHARSET
  - XAUTHORITY
```

### sudo_logfile

#### Default value

```YAML
sudo_logfile: /var/log/sudo.log
```

### sudo_misc_settings

#### Default value

```YAML
sudo_misc_settings:
  - '!visiblepw'
  - always_set_home
  - env_reset
  - use_pty
```

### sudo_packages

#### Default value

```YAML
sudo_packages:
  - sudo
```

### sudo_secure_path

#### Default value

```YAML
sudo_secure_path: /sbin:/bin:/usr/sbin:/usr/bin
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
